<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <title>Note</title>
  </head>
  <nav class="navbar navbar-expand-lg navbar-light " style="background-color: #C3073F;">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item ">
          <a class="nav-link" href="/lab-4" style="color: #ebebe9;">🏠Home🏠</a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" href="/lab-4/note-list" style="color: #ebebe9;">🃏Note Cards🃏<span class="sr-only"></span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="/lab-4/add-note" style="color: #ebebe9;">🖊Add Note🖊</a>
        </li>
      </ul>
    </div>
  </nav>
  <style>
    body {
        background-color: #1A1A1D;
        font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; 
      }
    nav {
        font-weight: bold;
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }
    h1{
        text-align: center;
        padding-top: 20px;
        padding-right: 10px;
        padding-bottom: 25px;
        padding-left: 10px;
    }
    .card{
      margin-bottom: 10px;  
    }
    .card:hover{
      background-color: rgb(224, 206, 146);
    }

</style>
  <body>
    <h1 style="color: #ebebe9;">📒 Notes Cards 📒</h1>
    <div class="card-columns">
        {% for element in notes %}   
        <div class="card">
          <h4 class="card-header" style="background-color: #6F2232; color: #ebebe9;" >{{element.title}}</h4>
          <div class="card-body">
            <h6 class="card-title">From : {{ element.sender }}</h6>
            <h6 class="card-title"> To : {{ element.receiver }}</h6>
            <p class="card-text">{{ element.message }} </p>
          </div>
        </div>
        <br>
        {% endfor %}  
    </div>
  </body>
</html>